sim.counter = 1;
if(!"betas.list"%in%ls()){
	#Choose from p = 100,4000
	if(!"p"%in%ls()){p=100;}
	offset = ifelse(p==100,0,516);
	betas.list = list(list(func="draw.betas",p=p,AR.pi=0),list(func="draw.betas",p=p,AR.pi=0.3));
	beta.label.seq = paste("beta[",1:2+2*(p==4000),"]",sep="");
}


#common settings
if(!"nsim"%in%ls()){nsim=ifelse(p<500,5000,500);}
if(!"n.new"%in%ls()){n.new=2000;}
if(!"beta0"%in%ls()){beta0=0;}
if(!"reg.errors"%in%ls()){reg.errors=list(dist="rnorm",args=list(mean=0,sd=1),offset=0);}
if(!"transform.X"%in%ls()){transform.X=NULL;}
if(!"sigmasq.X"%in%ls()){sigmasq.X=1;}
if(!"verbose"%in%ls()){verbose = F;}

if(!"n.seq"%in%ls()){
	n.seq = c(25,100,250,4000);
	if(p==100) {
		n.seq = sort(c(n.seq,seq(50,90,by=5),91:99,101:109,seq(110,150,by=5),175,200,225));
	}
}
if(!"R2.seq"%in%ls()){R2.seq = c(0.2,0.3,0.4);}

if(!"corr.list"%in%ls()) {
	corr.list = list(rho = c(0,0.4), 
				corr.structure= c("CS","bCS"),
				perturb.corr.X = list(NULL,list(M=2,mean=0,delta=.4)));
}

arglist = list()

for(corr.counter in 1:length(corr.list[[1]])) {for(beta.counter in 1:length(betas.list)) {for(n in n.seq) { for(R2 in R2.seq) {
	betas = betas.func = betas.list[[beta.counter]];
	beta.label = beta.label.seq[beta.counter];

	rho = corr.list[[1]][corr.counter];
	corr.structure = corr.list[[2]][corr.counter];
	perturb.corr.X = corr.list[[3]][[corr.counter]];
	
	assign(paste("sim",sim.counter,".params",sep=""),list(nsim=nsim,n=n,n.new=n.new,
		beta0=beta0,betas=betas,R2=R2,
		rho=rho,sigmasq.X=sigmasq.X,corr.structure=corr.structure,
		sim.number=sim.counter,beta.label=beta.label,
		verbose=verbose,
		random.seed=sample(2^30.9,1),
		betas.func=betas.func,
		perturb.corr.X=perturb.corr.X))
	arglist = c(arglist,list(get(paste("sim",sim.counter,".params",sep=""))))
	sim.counter = sim.counter + 1;
}}}}